Skip to main content
DELETE
/
texml_applications
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const texmlApplication = await client.texmlApplications.delete('1293384261075731499');

console.log(texmlApplication.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
texml_application = client.texml_applications.delete(
"1293384261075731499",
)
print(texml_application.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
texmlApplication, err := client.TexmlApplications.Delete(context.TODO(), "1293384261075731499")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", texmlApplication.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texmlapplications.TexmlApplicationDeleteParams;
import com.telnyx.sdk.models.texmlapplications.TexmlApplicationDeleteResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

TexmlApplicationDeleteResponse texmlApplication = client.texmlApplications().delete("1293384261075731499");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

texml_application = telnyx.texml_applications.delete("1293384261075731499")

puts(texml_application)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$texmlApplication = $client->texmlApplications->delete('1293384261075731499');

var_dump($texmlApplication);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml-applications delete \
--api-key 'My API Key' \
--id 1293384261075731499
curl --request DELETE \
--url https://api.telnyx.com/v2/texml_applications/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1293384261075731499",
    "record_type": "texml_application",
    "active": false,
    "friendly_name": "call-router",
    "anchorsite_override": "Amsterdam, Netherlands",
    "dtmf_type": "Inband",
    "first_command_timeout": true,
    "first_command_timeout_secs": 10,
    "voice_url": "https://example.com",
    "voice_fallback_url": "https://fallback.example.com",
    "call_cost_in_webhooks": false,
    "voice_method": "get",
    "status_callback": "https://example.com",
    "status_callback_method": "get",
    "tags": [
      "tag1",
      "tag2"
    ],
    "inbound": {
      "channel_limit": 10,
      "shaken_stir_enabled": true,
      "sip_subdomain": "example",
      "sip_subdomain_receive_settings": "only_my_connections"
    },
    "outbound": {
      "channel_limit": 10,
      "outbound_voice_profile_id": "1293384261075731499"
    },
    "created_at": "2020-02-02T22:25:27.521Z",
    "updated_at": "2020-02-03T22:25:27.521Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Response

Successful response

data
Texml Application · object
Example:
{
"id": "1293384261075731499",
"record_type": "texml_application",
"active": false,
"friendly_name": "call-router",
"anchorsite_override": "Amsterdam, Netherlands",
"dtmf_type": "Inband",
"first_command_timeout": true,
"first_command_timeout_secs": 10,
"voice_url": "https://example.com",
"voice_fallback_url": "https://fallback.example.com",
"call_cost_in_webhooks": false,
"voice_method": "get",
"status_callback": "https://example.com",
"status_callback_method": "get",
"tags": ["tag1", "tag2"],
"inbound": {
"channel_limit": 10,
"shaken_stir_enabled": true,
"sip_subdomain": "example",
"sip_subdomain_receive_settings": "only_my_connections"
},
"outbound": {
"channel_limit": 10,
"outbound_voice_profile_id": "1293384261075731499"
},
"created_at": "2020-02-02T22:25:27.521Z",
"updated_at": "2020-02-03T22:25:27.521Z"
}